Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7158 - Inconsistency between code and comments in ppp-watch.c
Summary: Inconsistency between code and comments in ppp-watch.c
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-19 21:42 UTC by Göran Uddeborg
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-22 20:51:49 UTC


Attachments (Terms of Use)
A few cuts from ppp-watch.c illustrating the error (deleted)
1999-11-19 21:44 UTC, Göran Uddeborg
no flags Details

Description Göran Uddeborg 1999-11-19 21:42:45 UTC
In the ppp-watch.c that comes with initscripts-4.63-1, the comments and the
code doesn't quite agree.  A comment claims its "own" exit codes starts at
30, but the code uses codes from 25 and up.

Comment 1 Göran Uddeborg 1999-11-19 21:44:59 UTC
Created attachment 8 [details]
A few cuts from ppp-watch.c illustrating the error

Comment 2 Michael K. Johnson 1999-11-22 20:51:59 UTC
Oops, fixed in the comment.  Thanks for the heads-up.
I've marked it as fixed in errata because we will shortly be doing an
errata release that will include this fix.


Note You need to log in before you can comment on or make changes to this bug.